Perform various operations for Symitar parameters.
Operations
getWireMisc
POST
No description available.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/getWireMiscPOST /nexum/627/2022.01/parameter/getWireMisc HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {}
}
}getWireMiscSelectFields
POST
Get wire miscellaneous select fields
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/getWireMiscSelectFieldsPOST /nexum/627/2022.01/parameter/getWireMiscSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllWireMiscFields": true,
"WireMiscFields": {
"DefaultBusinessFunctionCode": true,
"IncomingCorpWireGlOffset": true,
"IncomingMemberWireGlOffset": true,
"IncomingWireDepServiceCode": true,
"NewWireCutoffTime": true,
"OutgoingCorpWireGlOffset": true,
"OutgoingMemberWireGlOffset": true,
"OutgoingWesternUnionGlOffs": true,
"OutgoingWireListSrvcCode": true,
"OutgoingWireWdServiceCode": true,
"PreAuthWireCutoffTime": true,
"SenderFi": true,
"SenderName": true,
"Threshold": true,
"WesternUnionXferCutoffTime": true
}
},
"nxAttributes": {
"customFields": {}
}
}updateWireMiscByID
POST
Update Wire Misc for a specific ID.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/updateWireMiscByIDPOST /nexum/627/2022.01/parameter/updateWireMiscByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WireMiscUpdatableFields": {
"DefaultBusinessFunctionCode": "string",
"IncomingCorpWireGlOffset": "string",
"IncomingMemberWireGlOffset": "string",
"IncomingWireDepServiceCode": 0,
"NewWireCutoffTime": 0,
"OutgoingCorpWireGlOffset": "string",
"OutgoingMemberWireGlOffset": "string",
"OutgoingWesternUnionGlOffs": "string",
"OutgoingWireListSrvcCode": 0,
"OutgoingWireWdServiceCode": 0,
"PreAuthWireCutoffTime": 0,
"SenderFi": "string",
"SenderName": "string",
"Threshold": 0,
"WesternUnionXferCutoffTime": 0
},
"nxAttributes": {
"customFields": {}
}
}